Subject: bug#9850: git libtool 'make check' now fails [FIXED]
From: "Gary V. Vaughan" <[email-masked]>
To: Bob Friesenhahn <[email-masked]>
Cc: [email-masked]
Date: Mon, 24 Oct 2011 15:51:14 +0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Bob,

On 24 Oct 2011, at 00:16, Bob Friesenhahn wrote:
> As of today (2011-10-23) git libtool 'make check' now fails.
> 
> After doing '/home/bfriesen/src/gnu/libtool-head/configure; make ; make check' it seems that the script has a problem with finding the in-tree tests/testsuite.at (which does exist in the source tree). The problem appears to be a wrong include path provided to autom4te since tests/testsuite.at is relative to "/home/bfriesen/src/gnu/libtool-head", not "/home/bfriesen/src/gnu/libtool-head/tests".

Actually, it looks like this bug has been there for quite a long time, only until I applied my year-old patches from libtool-next to make the bootstrap process leaner, it was masked by the fact that the testsuite was prebuilt in $(srcdir)/tests before running configure.  Nice catch, thanks! :)

Anyway, fixed by the appended patch which I'll push as obvious presently.

> tests/sysroot.at -o '/home/bfriesen/src/gnu/libtool-head/tests/testsuite'
> autom4te: tests/testsuite.at: no such file or directory

tests: ensure VPATH autom4te search path can find autotests.

* Makefile.am (tests/testsuite): Passing only $(srcdir) include path
to autom4te is unable to find tests/package.m4, and passing only
$(srcdir)/tests breaks VPATH build searches for TESTSUITE_AT files,
which are relative to $(srcdir)... so we pass both!
Reported by Bob Friesenhahn <[email-masked]>

Signed-off-by: Gary V. Vaughan <[email-masked]>
---
 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/Makefile.am b/Makefile.am
index 6ed3de5..b8f1a70 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -628,7 +628,7 @@ INSTALLCHECK_ENVIRONMENT = \
 	tst_aclocaldir="$(aclocaldir)"
 
 $(testsuite): $(package_m4) $(TESTSUITE_AT) Makefile.am
-	$(AUTOTEST) -I '$(srcdir)/tests' $(TESTSUITE_AT) -o '$@'
+	$(AUTOTEST) -I '$(srcdir)' -I '$(srcdir)/tests' $(TESTSUITE_AT) -o '$@'
 
 $(package_m4): $(configure_ac) Makefile.am
 	{ \
-- 
1.7.7

Cheers,
-- 
Gary V. Vaughan (gary AT gnu DOT org)